import { Component, ViewEncapsulation, ChangeDetectionStrategy, Input, ViewChild, NgModule } from '@angular/core';
import { highlight, languages } from 'prismjs';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxCodeHighlightComponent {
    constructor() {
        this.language = 'javascript';
        this.safeHtml = '';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        /** @type {?} */
        const html = this.ref.nativeElement.innerHTML
            .replace(/\{ \{/gi, '{{')
            .replace(/\} \}/gi, '}}')
            .replace(/&lt;/gi, '<')
            .replace(/&gt;/gi, '>');
        this.safeHtml = highlight(html, languages[this.language]);
    }
}
NgxCodeHighlightComponent.decorators = [
    { type: Component, args: [{
                selector: 'ngx-code-highlight',
                template: "<div class=\"code-highlight\">\n  <pre [className]=\"'language-' + language\" class=\"margin-top\">\n    <code [className]=\"'language-' + language\" [innerHTML]=\"safeHtml\"></code>\n  </pre>\n  <div #code class=\"display-none\" hidden>\n    <ng-content></ng-content>\n  </div>\n</div>",
                encapsulation: ViewEncapsulation.None,
                preserveWhitespaces: true,
                changeDetection: ChangeDetectionStrategy.Default,
                styles: [".code-highlight code{display:block;margin:-60px 0 -80px}.code-highlight pre{padding:0 20px;margin:20px 0;border-left:5px solid;overflow:hidden}"]
            }] }
];
NgxCodeHighlightComponent.propDecorators = {
    language: [{ type: Input }],
    ref: [{ type: ViewChild, args: ['code', { static: true },] }]
};
if (false) {
    /** @type {?} */
    NgxCodeHighlightComponent.prototype.language;
    /** @type {?} */
    NgxCodeHighlightComponent.prototype.ref;
    /** @type {?} */
    NgxCodeHighlightComponent.prototype.safeHtml;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxCodeHighlightModule {
}
NgxCodeHighlightModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [NgxCodeHighlightComponent],
                exports: [NgxCodeHighlightComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { NgxCodeHighlightComponent, NgxCodeHighlightModule };
//# sourceMappingURL=ngx-tiny-code-highlight.js.map
